Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,811,847 Members 53,505 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Why can't I install other ROMs than CM11?

Tip us?
 
Stachura5
Old
(Last edited by Stachura5; 16th August 2014 at 08:16 PM.)
#1  
Stachura5's Avatar
Senior Member - OP
Thanks Meter 5
Posts: 123
Join Date: Jan 2012
Location: Mieroszˇw

 
DONATE TO ME
Default [Q] Why can't I install other ROMs than CM11?

Hello folks. Today I managed to S-OFF my HTC One using firewater on CyanogenMod 11 from April, but now I have a problem... I can't update to the newer CM11 nor install any other ROM because it gives me an error in TWRP. I tried installing ParanoidAndroid to see if it works but the same After this I tried to install MIUI 4.8.8 and it gave me this error in TWRP:

assert failed: getprop ("ro.product.device") ==
getprop ("ro.build.product") == "m7"
E:Error executing updater binary in zip
Error flashing zip '/sdcard/xiaomi.eu_multi_m7_
Updating partition details...

I don't know what to do... Can you please help me?

EDIT:
I flashed CWM instead of TWRP and it works like a charm
http://i.imgur.com/xJTwcpB.png
 
alray
Old
#2  
alray's Avatar
Senior Member
Thanks Meter 1,098
Posts: 2,841
Join Date: May 2012
Location: Montreal

 
DONATE TO ME
Quote:
Originally Posted by Stachura5 View Post
Hello folks. Today I managed to S-OFF my HTC One using firewater on CyanogenMod 11 from April, but now I have a problem... I can't update to the newer CM11 nor install any other ROM because it gives me an error in TWRP. I tried installing ParanoidAndroid to see if it works but the same After this I tried to install MIUI 4.8.8 and it gave me this error in TWRP:

assert failed: getprop ("ro.product.device") ==
getprop ("ro.build.product") == "m7"
E:Error executing updater binary in zip
Error flashing zip '/sdcard/xiaomi.eu_multi_m7_
Updating partition details...

I don't know what to do... Can you please help me?

EDIT:
I flashed CWM instead of TWRP and it works like a charm
newer CM roms must be flashed with twrp 2.7.1.1 and other sense roms with 2.6.3.3
If I've helped you, please hit the ''tanks'' button
If you want a reply, quote or mention me using @alray

Useful links for the HTC One:
nkk71's SuperGUIDE to returning 100% back to stock
Flashing requirements chart by nkk71
HTC1Guru.com by crushalot
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes